package com.yihu.jw.restmodel.hospital.survey;

import com.yihu.jw.restmodel.UuidIdentityVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * Created by Trick on 2019/9/17.
 */
@ApiModel(value = "WlyySurveyUserVO", description = "问卷调查")
public class WlyySurveyUserVO extends UuidIdentityVO {

    @ApiModelProperty(value = "问卷模板编码", example = "模块1")
    private String surveyTempCode;//问卷模板编码',
    @ApiModelProperty(value = "模板标题", example = "模块1")
    private String surveyTempTitle;//模板标题
    @ApiModelProperty(value = "患者ID", example = "模块1")
    private String patient;//患者ID',
    @ApiModelProperty(value = "患者", example = "模块1")
    private String patientName;//
    @ApiModelProperty(value = "部门", example = "模块1")
    private String dept;//部门
    @ApiModelProperty(value = "部门名称", example = "模块1")
    private String deptName;//部门名称
    @ApiModelProperty(value = "医生", example = "模块1")
    private String doctor;  //医生
    @ApiModelProperty(value = "医生名称", example = "模块1")
    private String doctorName;//医生名称
    @ApiModelProperty(value = "是否已答", example = "模块1")
    private Integer status;//是否已答（0未答 1已答 2放弃）',
    @ApiModelProperty(value = "完成时间", example = "模块1")
    private Date endTime;//完成时间（放弃时间）',
    @ApiModelProperty(value = "调查时间", example = "模块1")
    private Date createTime;//调查时间(居民接受时间)',
    @ApiModelProperty(value = "身份证", example = "模块1")
    private String idcard;
    @ApiModelProperty(value = "年龄", example = "模块1")
    private Integer age;
    @ApiModelProperty(value = "性别", example = "模块1")
    private Integer sex;

    public String getSurveyTempCode() {
        return surveyTempCode;
    }

    public void setSurveyTempCode(String surveyTempCode) {
        this.surveyTempCode = surveyTempCode;
    }

    public String getSurveyTempTitle() {
        return surveyTempTitle;
    }

    public void setSurveyTempTitle(String surveyTempTitle) {
        this.surveyTempTitle = surveyTempTitle;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getDept() {
        return dept;
    }

    public void setDept(String dept) {
        this.dept = dept;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }
}
